Bug 1300310 (CVE-2014-9761) - CVE-2014-9761 glibc: Unbounded stack allocation in nan* functions
Summary: CVE-2014-9761 glibc: Unbounded stack allocation in nan* functions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-9761
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1300311 1358014 1374652
Blocks: 1300316 1386080 1415638
TreeView+ depends on / blocked
 
Reported: 2016-01-20 13:00 UTC by Adam Mariš
Modified: 2020-05-14 15:05 UTC (History)
22 users (show)

Fixed In Version: glibc 2.23
Doc Type: Bug Fix
Doc Text:
A stack overflow vulnerability was found in nan* functions that could cause applications, which process long strings with the nan function, to crash or, potentially, execute arbitrary code.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:47:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0680 normal SHIPPED_LIVE Moderate: glibc security and bug fix update 2017-03-21 12:36:34 UTC
Red Hat Product Errata RHSA-2017:1916 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2017-08-01 18:05:43 UTC
Sourceware 16962 P2 RESOLVED nan function unbounded stack allocation (CVE-2014-9761) 2020-02-14 08:32:40 UTC

Description Adam Mariš 2016-01-20 13:00:31 UTC
A stack overflow vulnerability was found in nan* functions that could cause applications which process long strings with the nan function to crash or, potentially, execute arbitrary code.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=16962

CVE assignment:

http://seclists.org/oss-sec/2016/q1/153

Comment 1 Adam Mariš 2016-01-20 13:01:16 UTC
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1300311]

Comment 5 Martin Prpič 2016-07-07 07:56:26 UTC
Mitigation:

Do not use any applications which call the affected nan* functions. These functions are used only very rarely.

Comment 7 errata-xmlrpc 2017-03-21 10:35:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0680 https://rhn.redhat.com/errata/RHSA-2017-0680.html

Comment 9 errata-xmlrpc 2017-08-01 18:13:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1916 https://access.redhat.com/errata/RHSA-2017:1916


Note You need to log in before you can comment on or make changes to this bug.